Linux repositories inspector

emacs24-common - GNU Emacs editor's shared, architecture independent infrastructure

GNU Emacs is the extensible self-documenting text editor. This package contains the architecture independent infrastructure that's shared by emacs24, emacs24-lucid, and emacs24-nox.
24.5
Debian iconDebian 9.0
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 9.0 stretch/maindeb24.5+1-11+deb9u12017-11-1012.4 MiB62.6 MiB
Ubuntu iconUbuntu 16.04 LTS xenial/maindeb24.5+1-6ubuntu12017-11-1012.1 MiB62.5 MiB
Ubuntu iconUbuntu 16.04 LTS xenial-security/maindeb24.5+1-6ubuntu1.12017-11-1012.1 MiB62.5 MiB
Ubuntu iconUbuntu 16.04 LTS xenial-updates/maindeb24.5+1-6ubuntu1.12017-11-1012.1 MiB62.5 MiB

Manual pages

ebrowse.emacs24(1)

ebrowse - create a class hierarchy database

emacs.emacs24(1)

emacs - GNU project Emacs

emacsclient.emacs24(1)

emacsclient - tells a running Emacs to visit a file

etags.emacs24(1)

etags, ctags - generate tag file for Emacs, vi

grep-changelog.emacs24(1)

grep-changelog - print ChangeLog entries matching criteria

Latest updates

Ubuntu icon

Ubuntu 16.04 LTS xenial-updates/main: Version 24.5+1-6ubuntu1.1 reintroduced

2019-10-02
  • SECURITY UPDATE: arbitrary code execution
    • debian/patches/CVE-2017-14482.patch: Remove unsafe enriched mode translations in lisp/gnus/mm-view.el,
      lisp/textmodes/enriched.el.
    • CVE-2017-14482
Ubuntu icon

Ubuntu 16.04 LTS xenial-updates/main: Version 24.5+1-6ubuntu1.1 removed

2019-10-02
Ubuntu icon

Ubuntu 16.04 LTS xenial-updates/main: Version 24.5+1-6ubuntu1.1 reintroduced

2019-08-15
  • SECURITY UPDATE: arbitrary code execution
    • debian/patches/CVE-2017-14482.patch: Remove unsafe enriched mode translations in lisp/gnus/mm-view.el,
      lisp/textmodes/enriched.el.
    • CVE-2017-14482
Ubuntu icon

Ubuntu 16.04 LTS xenial-updates/main: Version 24.5+1-6ubuntu1.1 removed

2019-08-15
Ubuntu icon

Ubuntu 16.04 LTS xenial-security/main: Version 24.5+1-6ubuntu1.1 reintroduced

2019-08-02
  • SECURITY UPDATE: arbitrary code execution
    • debian/patches/CVE-2017-14482.patch: Remove unsafe enriched mode translations in lisp/gnus/mm-view.el,
      lisp/textmodes/enriched.el.
    • CVE-2017-14482
Ubuntu icon

Ubuntu 16.04 LTS xenial-updates/main: Version 24.5+1-6ubuntu1.1 reintroduced

2019-08-02
  • SECURITY UPDATE: arbitrary code execution
    • debian/patches/CVE-2017-14482.patch: Remove unsafe enriched mode translations in lisp/gnus/mm-view.el,
      lisp/textmodes/enriched.el.
    • CVE-2017-14482
Ubuntu icon

Ubuntu 16.04 LTS xenial-security/main: Version 24.5+1-6ubuntu1.1 removed

2019-08-02
Ubuntu icon

Ubuntu 16.04 LTS xenial-updates/main: Version 24.5+1-6ubuntu1.1 removed

2019-08-02
Debian icon

Debian 9.0 stretch/main: Version 24.5+1-11+deb9u1 introduced

2017-11-10
  • Remove unsafe enriched mode translations
Ubuntu icon

Ubuntu 16.04 LTS xenial-updates/main: Version 24.5+1-6ubuntu1.1 introduced

2017-11-10
  • SECURITY UPDATE: arbitrary code execution
    • debian/patches/CVE-2017-14482.patch: Remove unsafe enriched mode translations in lisp/gnus/mm-view.el,
      lisp/textmodes/enriched.el.
    • CVE-2017-14482
Ubuntu icon

Ubuntu 16.04 LTS xenial-security/main: Version 24.5+1-6ubuntu1.1 introduced

2017-11-10
  • SECURITY UPDATE: arbitrary code execution
    • debian/patches/CVE-2017-14482.patch: Remove unsafe enriched mode translations in lisp/gnus/mm-view.el,
      lisp/textmodes/enriched.el.
    • CVE-2017-14482
Ubuntu icon

Ubuntu 16.04 LTS xenial/main: Version 24.5+1-6ubuntu1 introduced

2017-11-10
  • Merge with Debian; remaining changes:
    • debian/rules: Make sure the emacs24-el directory exists.
    • emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs24" to please bamf and gnome-shell.
    • debian/emacsVER.desktop: Also set StartupWMClass for bamf and gnome-shell.
    • debian/control.in: Have emacs24-common Depends on emacs24-common-non-dfsg, now that it is out of multiverse. Update debian/copyright to match.
    • Add -no-pie on s390x.

Related packages

emacs24 - GNU Emacs transitional package to emacs-gtk
emacs24-common-non-dfsg - GNU Emacs common non-DFSG items, including the core documentation
⇧ Top